#!/usr/bin/perl -I /usr/sausalito/perl
#
# $Id: wizard_splash.pl,v 1.1.2.1 2002/02/23 03:06:35 pbaltz Exp $
# Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
#
# copy in a default wizard welcome page based on the current productLanguage
#

use CCE;

# set umask properly, so files are readable
umask(002);

my $cce = new CCE;
$cce->connectfd();

# possibilities for splash screens
my @splashes = ({
			'dir' => '/usr/sausalito/ui/web/base/wizard',
			'file' => 'start.html'
		},
		{
			'dir' => '/usr/sausalito/ui/web',
			'file' => 'intro.html'
		});

# this never runs on DESTROY
my $system = $cce->event_object();

# the default is english
my $locale = 'en';

# use productLanguage if it contains something
if ($system->{productLanguage} ne '') {
	$locale = $system->{productLanguage};
}

# deal with all possibilities
for my $splash (@splashes) {
	# see if the file for the given locale exists
	my $loc_file = &find_locale($splash, $locale);
	if ($loc_file ne '') {
		Sauce::Util::copyfile($loc_file,
			"$splash->{dir}/$splash->{file}");
	} else {
		# just use english
		$loc_file = &find_locale($splash, 'en');
		if ($loc_file ne '') {
			Sauce::Util::copyfile($loc_file,
				"$splash->{dir}/$splash->{file}");
		}
	}
}

$cce->bye('SUCCESS');
exit(0);

sub find_locale
{
	my ($splash, $locale) = @_;

	my $loc_file = '';

	opendir(SPLASH, $splash->{dir});
	while (my $entry = readdir(SPLASH)) {
		if ($entry =~ /^$splash->{file}\.(.+)$/) {
			# possible match, check locale
			my $file_locale = $1;
			
			if (($file_locale =~ /^$locale/i) ||
			    ($locale =~ /^$file_locale/i)) {
				$loc_file = "$splash->{dir}/$entry";
				last;
			}
		}
	}
	closedir(SPLASH);

	return $loc_file;
}
